Skip to main content
GET
/
webhooks
List webhook endpoints
curl --request GET \
  --url https://sandbox.api.hixbe.com/payment/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Hixbe-Version: <hixbe-version>'
{
  "object": "list",
  "data": [
    {
      "id": "wh_123",
      "url": "<string>",
      "events": [
        "payment.succeeded"
      ],
      "description": "<string>",
      "enabled": true,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Use your secret API key. Example: Authorization: Bearer sk_test_xxx

Headers

Hixbe-Version
string
default:2026-01-01
required

API version header. Use '2026-01-01' for the latest version.

Response

200 - application/json

List of webhooks

object
string
Example:

"list"

data
object[]
has_more
boolean
next_cursor
string | null